npm 包管理命令

安装

  • npm install 安装所有包
  • npm install 安装指定包
  • npm install @ 安装指定版本包

    • --save 安装并添加条目到 package.json 文件的 dependencies。
    • --save-dev 安装并添加条目到 package.json 文件的 devDependencies。

更新

  • npm outdated 查询可更新的包
  • npm update
  • npm update

查看 npm 包安装的版本

  • npm list
  • npm list -g 适用于全局安装的软件包
  • npm list --depth=0 获取顶层的软件包
  • npm list 指定名称来获取特定软件包的版本
  • npm view version 查看软件包在 npm 仓库上最新的可用版本

版本控制

所有的版本都有 3 个数字:x.y.z。
第一个数字是主版本。
第二个数字是次版本。
第三个数字是补丁版本。

  • ^: 只会执行不更改最左边非零数字的更新。 如果写入的是 ^0.13.0,则当运行 npm update 时,可以更新到 0.13.1、0.13.2 等,但不能更新到 0.14.0 或更高版本。 如果写入的是
  • ^1.13.0,则当运行 npm update 时,可以更新到 1.13.1、1.14.0 等,但不能更新到 2.0.0 或更高版本。
  • ~: 如果写入的是 〜0.13.0,则当运行 npm update 时,会更新到补丁版本:即 0.13.1 可以,但 0.14.0 不可以。
  • >: 接受高于指定版本的任何版本。
  • >=: 接受等于或高于指定版本的任何版本。
  • <=: 接受等于或低于指定版本的任何版本。
  • <: 接受低于指定版本的任何版本。
  • =: 接受确切的版本。
  • -: 接受一定范围的版本。例如:2.1.0 - 2.6.2。
  • ||: 组合集合。例如 < 2.1 || > 2.6。
  • 无符号: 仅接受指定的特定版本(例如 1.2.1)。
  • latest: 使用可用的最新版本。

你可能感兴趣的